
D4Science Infrastructure - Task #10857

CKAN and ansible installation: missing file

ckan-d4science-extension/plugins/googleanalytics/plugin.py from repository

Jan 10, 2018 12:17 PM - Costantino Perciante

Status: Closed Start date: Jan 10, 2018

Priority: Normal Due date:  

Assignee: Francesco Mangiacrapa % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: Data Catalogue   

Infrastructure: Development, Pre-Production,

Production

  

Description

Please investigate if this is an issue or something no longer needed, with the help of @francesco.mangiacrapa@isti.cnr.it 

History

#1 - Jan 10, 2018 01:02 PM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Francesco Mangiacrapa

Francesco should know if that file is now managed by the new scripts system. If so, that task can be removed altogether. 

#2 - Jan 10, 2018 02:58 PM - Francesco Mangiacrapa

I'm not sure but It seems not managed by the new system ..

That is a CKAN plugin (googleanalytics) and it is missing in the file_installer at:

http://svn.d4science-ii.research-infrastructures.eu/gcube/trunk/data-catalogue/ckan-d4science-extension/2.6/scripts/file_installer

so I suppose that the googleanalytics plugin is still managed via old ansible script. Can you check this @andrea.dellamico@isti.cnr.it?

#3 - Jan 10, 2018 07:58 PM - Andrea Dell'Amico

And I see why. That role is in the public section and not into the d4science-gcube playbook:

../library/roles/ckan/ckan/defaults//main.yml:ckan_google_analytics_fixed_file: 'http://svn.research-infrastru

ctures.eu/public/d4science/gcube/trunk/data-catalogue/ckan-d4science-extension/plugins/googleanalytics/plugin.

py'

 We can add that part to the internal playbook or leave it public so maybe someone can use it, who knows. In either case that URL is not corect

anymore, that file now lives in ckan-default/plugins/googleanalytics/plugin.py. Your choice (moving it into the internal playbook is maybe more

correct).

#4 - Jan 16, 2018 06:00 PM - Andrea Dell'Amico

- Status changed from New to Closed

- % Done changed from 0 to 100

I just changed the subversion URL in the role defaults. That fix could be useful to others too.
